Collection: Study Skills Academy

Learning Resource Skills

Learning Resource Skills

Details

Learning Resource

Athens Account Set-Up

You will require an Athens account for some of the functionality of e-books and to allow access to some of our online databases.  These instructions will help you set up an account.

OPAC Guide

The Online Public Access Catalogue or OPAC, as we like to call it, is accessible 24/7.  This catalogue holds a database of resources available in all of our Learning Resource Centres and will assist you in finding the resources you are looking for.  This guide will help you navigate your way around the OPAC.

E-Book Exercise

e-books are a collection of books in electronic form, which are beneficial because they can be accessed by a number of people at any one time.  They also allow learners to print off sections of the book, copy and paste and highlight areas within the book.  This exercise will help you access and get the most out of using e-books.

Details

Comments

Sruj@
27 September 2015, 12:56 PM
I'm a big fan of your writing style. I will comeback and read all the other articles you posted. Keep posting like this. When you feel exhausted, You can watch movies to get some entertainment. You can use this app on Android/iOS. Here is the direct download link to get latest movies on Android smartphones.
http://www.light-science.com/
http://www.light-science.com/category/android/
http://www.light-science.com/download-musixmatch-apk-android-app/
john
08 February 2016, 7:32 AM
Valentine's Day, also known as Saint Valentine's Day or the Feast of Saint Valentine, is a celebration observed on February 14 each year. It is celebrated in many countries around the world.Best valentines day 2016 images, pictures, wallpapers photos, quotes, messages, sms, greetings for whatsapp, facebook sharing

http://www.mywishesngreetings.com/2015/12/happy-valentines-day-images-pictures-wallpapers-photos-for-facebook-whatsapp-sharing.html

http://www.mywishesngreetings.com/2015/12/valentines-day-quotes-messages-wishes-sms-greetings-whatsapp-facebook-sharing.html

http://www.mywishesngreetings.com/2016/01/chocolate-day-images-quotes-messages-sms-wallpapers-whatsapp-facebook-sharing.html

http://www.mywishesngreetings.com/2016/01/happy-hug-day-images-sms-quotes-wallpapers-wishes-whatsapp-facebook.html

http://www.mywishesngreetings.com/2016/01/happy-teddy-day-images-quotes-sms-photos-wallpapers-for-whatsapp-facebook.html

http://www.worldaroundu.com/2015/01/valentines-day-love-quotes-cards-images-messages-for-whatsapp-facebook-messenger-twitter-google-plus.html

http://www.worldaroundu.com/2015/01/Happy-teddy-day-whatsapp-sms-images-messages-quotes-pics-wallpapers-for-facebook-wechat-twitter-googleplus-bbm.html

http://www.worldaroundu.com/2015/02/chocolate-day-whatsapp-sms-images-messages-quotes-pics-wallpapers-for-facebook-wechat-bbm-twitter-googleplus.html

http://www.valentinesdayquotes.net.in/

http://www.valentinesdayimage.org/

Hope you like our collection
john
25 February 2016, 5:48 AM

Many churches hold special services on Easter Sunday, which celebrate the Jesus Christ's resurrection after his crucifixion. Many people also decorate eggs. These can be hard boiled eggs that can be eaten later, but may also be model eggs made of plastic, chocolate, candy or other materials. It is also common to organize Easter egg hunts. Eggs of some form are hidden, supposedly by a rabbit or hare. People, especially children, then search for them. In some areas, Easter egg hunts are a popular way for local businesses to promote themselves or may even be organized by churches. here we have collected some of the easter images, easter day wishes, easter day greetings, messages and quotes which you can use for sharing with friends and family members through facebook, twitter, whatsapp and other social media.
http://www.easterpicturesnquotes.org/easter-images/happy-easter-images-easter-pictures-wallpapers-pics-easter-cards/-61/
http://www.easterpicturesnquotes.org/easter-quotes/happy-easter-quotes-images-easter-messages-greetings-for-facebook-whatsapp-sharing/-3/
http://www.worldaroundu.com/2015/03/best-easter-images-quotes-greeting-messages-pictures-wishes-for-facebook-whatsapp.html
http://www.mywishesngreetings.com/2015/03/best-easter-images-quotes-messages-greeting-pictures-wishes-for-facebook-whatsapp.html
http://www.worldaroundu.com/2015/03/easter-sunday-quotes-messages-sms-images-pictures-for-whatsapp-facebook-snapchat.html
http://www.worldaroundu.com/2015/03/maundy-thursday-images-messages-quotes-sms-wallpapers-facebook-status-whatsapp-twitter-sharing.html
http://www.mywishesngreetings.com/2015/03/happy-palm-sunday-images-pictures-wallpapers-facebook-whatsapp-twitter-instagram-sharing.html
john
25 February 2016, 5:49 AM

Good Friday, also known as "Holy Friday," is the Friday immediately preceding Easter Sunday. It is celebrated traditionally as the day on which Jesus was crucified.Many Christian churches celebrate Good Friday with a subdued service, usually in the evening, in which Christ’s death is remembered with solemn hymns, prayers of thanksgiving, a message centered on Christ suffering for our sakes, and observance of the Lord's Supper.here we have collected some of the good friday images, good friday wishes, good friday greetings, messages and quotes which you can use for sharing with friends and family members through facebook, twitter, whatsapp and other social media.
http://www.worldaroundu.com/2015/03/good-friday-sms-quotes-pictures-messages-for-whatsapp-facebook-snapchat-instagram-sharing.html
http://www.worldaroundu.com/2015/03/good-friday-whatsapp-images-pictures-wallpapers-facebook-snapchat-instagram-sharing.html
http://www.mywishesngreetings.com/2015/03/good-friday-whatsapp-images-messages-quotes-sms-wallpapers-facebook-status-twitter-sharing.html
http://www.mywishesngreetings.com/2015/03/good-friday-images-pictures-wallpapers-facebook-whatsapp-twitter-instagram-sharing.html
http://imagesnwishes.happynewyeargreetings.net/2015/03/whatsapp-good-friday-images-pictures-wallpapers-facebook-twitter-instagram-sharing.html
http://www.goodfridayimages.org/2016/01/happy-good-friday-images-pictures-photos.html
john
25 February 2016, 5:50 AM

Every year on March 17, the Irish and the Irish-at-heart across the globe observe St. Patrick’s Day. What began as a religious feast day for the patron saint of Ireland has become an international festival celebrating Irish culture with parades, dancing, special foods and a whole lot of green.here we have collected some of the st patricks day images, st patricks day wishes, st patricks day greetings, messages and quotes which you can use for sharing with friends and family members through facebook, twitter, whatsapp and other social media.
http://www.worldaroundu.com/2015/02/happy-st-patricks-day-whatsapp-images-wallpapers-pictures-for-facebook-twitter-snapchat-instagram-wechat.html
http://www.mywishesngreetings.com/2016/01/st-patricks-day-images-pictures-quotes-sayings-greetings.html
http://www.stpatricksdayimages.org/2016/01/stpatricks-day-images-pictures-photos.html
http://www.stpatricksdayimages.org/
http://www.worldaroundu.com/2015/03/Leprechaun-whatsapp-images-pictures-wallpapers-for-facebook-status-twitter-instagram.html
http://www.worldaroundu.com/2015/03/Shamrock-whatsapp-images-pictures-wallpapers-for-facebook-status-twitter-instagram.html
john
25 February 2016, 5:51 AM


Beautiful womens day images, womens day wishes, womens day greetings, messages and quotes which you can use for sharing with friends and family members through facebook, twitter, whatsapp and other social media.
http://www.worldaroundu.com/2015/02/happy-womens-day-whatsapp-quotes-images-wishes-messages-greetings-sms-facebook-twitter-wechat.html
http://www.worldaroundu.com/2015/02/happy-womens-day-whatsapp-quotes-images-wishes-messages-greetings-sms-facebook-twiiter-wechat.html
http://www.mywishesngreetings.com/2016/02/happy-womens-day-images-wishes-greetings-quotes-messages-whatsapp-facebook-international-womens-day.html
The colorful festival of Holi is celebrated on Phalgun Purnima which comes in February end or early March. Holi festival has an ancient origin and celebrates the triumph of 'good' over 'bad'. The colorful festival bridges the social gap and renew sweet relationships. On this day, people hug and wish each other 'Happy Holi'.Here we have collected some of the holi images, pictures, wallpapers, quotes, messages, greetings for sharing with friends and family
http://www.mywishesngreetings.com/2015/02/happy-holi-whatsapp-quotes-images-sms-messages-for-facebook-status-twitter.html
http://www.worldaroundu.com/2015/02/Holi-2015-images-sms-messages-for-whatsapp-dp-facebook-status-timeline-twitter-sharing.html
http://www.holi-images-sms.com/2015/02/Happy-Holi-whatsapp-sms-text-messages-images-wishes-greetings.html
http://www.holi-images-sms.com/2015/02/Holi-images-photos-pics-whatsapp-facebook-twitter-wechat-sharing.html
jmd
12 March 2016, 6:32 AM
http://highpowerfilm.org/batman-vs-superman-watch-online-free/
john
16 March 2016, 5:51 AM

Freely download ebooks and PDF's related to various categories like education, novels, fiction, scientific, autobigraphies etc online
http://www.ebookdownloadz.net/
http://www.ebookdownloadz.net/2015/12/word-power-made-easy-by-norman-lewis-pdf-free-download-buy-online.html
http://www.ebookdownloadz.net/2014/10/free-download-rs-aggarwal-quantitative-aptitude-ebook-pdf.html
http://www.ebookdownloadz.net/2015/09/the-alchemist-pdf-by-paulo-coelho-download-free-ebook.html
http://www.ebookdownloadz.net/2015/08/internal-combustion-engines-ebook-by-v-ganesan-pdf-download.html
http://www.ebookdownloadz.net/2015/08/organic-chemistry-pdf-morrison-and-boyd-free-download.html
john
16 March 2016, 5:51 AM

http://www.ebookdownloadz.net/2014/08/theory-of-machines-by-s-s-rattan.html
http://www.ebookdownloadz.net/2014/08/engineering-thermodynamics-by-pknag.html
http://www.ebookdownloadz.net/2015/03/object-oriented-programming-with-c-balaguruswamy-pdf-ebook-free-download-buy-online.html
http://www.ebookdownloadz.net/2014/08/engineering-mechanics-statics-and.html
http://www.ebookdownloadz.net/2015/01/perrys-chemical-engineers-handbook-8th-edition-ebook-pdf-download-or-buy-online.html
http://www.ebookdownloadz.net/2014/11/concepts-of-physics-hc-verma-ebook-download-hc-verma-pdf.html
http://www.ebookdownloadz.net/2015/03/download-mechanics-of-solids-by-ss-bhavikatti-pdf-ebook-free-buy-online.html
http://www.ebookdownloadz.net/2015/03/theory-of-machines-by-r.s.khurmi-j.k.gupta-pdf-ebook-download-free.html
http://www.ebookdownloadz.net/2014/11/Downlaod-introduction-to-embedded-systems-by-Edward-Ashford-Lee-Sanjit-Arunkumar-Seshia-ebook-pdf.html
john
18 March 2016, 4:16 AM

PSEB is providing every information required for the students like datesheets, other important notifications etc in their official website http://www.pseb.ac.in/. So all the students can make use of the official website if they have any doubts regarding the exams. PSEB 10th results will be released by Punjab school Education Board in the month of June. So, all the students who have written their 10th class exams should wait for the month of June to get their results online. Here in this site we provide the link for checking the PSEB class 10th results online and you can check and download the results.
http://www.pseb-result.co.in/
http://www.pseb-result.co.in/2016/03/pseb-10th-results-check-punjab-10th-class-exam-results-online.html
Karnataka Secondary Education Examination Board (KSEEB) conducts the SSLC examinations every year for the students in Karnataka region. This year also, SSLC examinations will be conducted in the month of March 2016 for all the Regular, private and vocational students. The date sheet or time table of the Karnataka sslc examinations have been already released and the students can acess them from the website http://kseeb.kar.nic.in/. visit our site to check Karnataka sslc results 2016
http://www.sslc-result.co.in/
http://www.sslc-result.co.in/2016/03/karnataka-sslc-results-2016-kar-sslc-exam-results.html
The HSC result will be declared by the Maharashtra State Board of Secondary and Higher Secondary Education on their official website. Last year the HSC results were released in the month of May and so the HSC result 2016 will also be mostly released in the month of May 2016. The official web address of the board is http://mahresult.nic.in/.
http://www.hsc-result2016.in/
http://www.hsc-result2016.in/2016/03/hsc-result-2016-maharashtra-board-hsc-result-online.html
1108 comments

Add comment

Fields marked by '*' are required.
Comments are moderated. If you choose to make this comment public, it will not be visible to others until it is approved by the owner.